| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
https://your-system-name.thulium.com/api/connections/:id/transcription
|
id
wymagany |
Unikalne ID połączenia.
Przykładowa wartość: 123423.23
|
|
includeSummary
opcjonalny |
Czy zwracać podsumowanie rozmowy.
Przykładowa wartość: true
|
|
includeSentiment
opcjonalny |
Czy zwracać sentyment rozmowy.
Przykładowa wartość: true
|
|
includeEvaluatedCriteria
opcjonalny |
Czy zwracać ocenione kryteria.
Przykładowa wartość: true
|
|
includeTalkListenSilenceRatio
opcjonalny |
Czy zwracać proporcje mówienia, słuchania i ciszy.
Przykładowa wartość: true
|
| GET | https://your-system-name.thulium.com/api/connections/123423.23/transcription?includeSummary=true&includeSentiment=true&includeEvaluatedCriteria=true&includeTalkListenSilenceRatio=true |
{
"status": "SUCCESS",
"parts": [
{
"begin": 1.123456789,
"end": 6.534243423,
"speaker": "CUSTOMER",
"text": "Hello!"
},
{
"begin": 7.1234523432,
"end": 9.4234235435,
"speaker": "USER",
"text": "Hi!"
}
],
"summary": [
{
"content": "Customer asked about pricing",
"important": true
}
],
"sentiment": {
"sentiment": "POSITIVE",
"justification": "The customer was satisfied"
},
"evaluatedCriteria": [
{
"criteriaId": "greeted",
"fulfilled": true
}
],
"talkListenSilenceRatio": {
"talk": 45.5,
"listen": 35.2,
"silence": 19.3
}
}
<?php $request = curl_init('https://your-system-name.thulium.com/api/connections/123423.23/transcription?includeSummary=true&includeSentiment=true&includeEvaluatedCriteria=true&includeTalkListenSilenceRatio=true'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/connections/123423.23/transcription?includeSummary=true&includeSentiment=true&includeEvaluatedCriteria=true&includeTalkListenSilenceRatio=true"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/connections/123423.23/transcription?includeSummary=true&includeSentiment=true&includeEvaluatedCriteria=true&includeTalkListenSilenceRatio=true"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/connections/123423.23/transcription includeSummary==true includeSentiment==true includeEvaluatedCriteria==true includeTalkListenSilenceRatio==true Accept:application/json